:root {
  --montserrat: "Montserrat";
  --open-sans: "Open Sans";

  --menu-font-colory: #726e8d;
  --main-font-color: #2a254b;
  --btn-background-color:#f9f9f9;
  --a-color: #22202e;
  --boder-color: #4e4d93;



}
.dark-theme {
    --menu-font-colory: #dbd7f8;
    --main-font-color:  #f9f9f9;
    --btn-background-color:#2a254b;
    --a-color: #f1f0f6;
    --boder-color: #4e4d93;

  }

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body{
    background-color: var(--btn-background-color);
}
.svg {
    fill: var(--main-font-color);
}
header {
  height: 80px;
  padding: 0 80px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
main {
  padding: 0 80px;
}
.header-wrap {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}
.logo a {
  text-decoration: none;
  color: var(--a-color);
  font-size: 24px;
  font-weight: 200;
  font-family: var(--montserrat);
}
.nav-list {
  width: 702px;
}
.nav-list ul {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  list-style: none;
}
.nav-list ul li {
  font-family: var(--open-sans);
  font-size: 16px;
  font-weight: 400;
}
.nav-list ul li a {
  text-decoration: none;
  color: var(--menu-font-colory);
}
.header-tools {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  gap: 16px;
}
.header-tools div {
  cursor: pointer;
}
.toggle-theme {
    background-color: var(--btn-background-color);
    color: var(--main-font-color);
    border-radius: 30px;
    padding: 10px;
    border: 1px solid var(--main-font-color);
    cursor: pointer;
}
.title {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 80px;
  margin-bottom: 24px;
}
.title h2 {
  font-family: var(--montserrat);
  font-size: 36px;
  font-weight: 400;
  line-height: 50.4px;
  color: var(--main-font-color);
}
.list-select-name {
  font-family: var(--open-sans);
  font-size: 16px;
  font-weight: 400;
  color: var(--menu-font-colory);
}
.filtr-title {
  font-family: var(--open-sans);
  font-size: 14px;
  font-weight: 400;
  color: var(--menu-font-colory);
}
.selection-tools {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 0 24px;
}

.lists-selection {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
}

.list-select,
.list-filtr {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  padding: 12px 24px;
  gap: 8px;
  cursor: pointer;
}
.arrow {
  display: flex;
  justify-content: center;
}
.filtr {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  gap: 16px;
}
.list-products {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr 1fr;
  column-gap: 20px;
  row-gap: 20px;
}
.item-product-line {
  height: 510px;
}
.item {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 24px;
  padding-bottom: 20px;
  padding-top: 20px;
  cursor: pointer;
}
.item img {
  height: 375px;
  width: 305px;
}
.item-name {
  font-family: var(--montserrat);
  font-size: 20px;
  font-weight: 400;
  color: var(--main-font-color)
}
.item-desc {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 8px;

}

.item-cost {
  font-family: var(--open-sans);
  font-size: 18px;
  font-weight: 400;
  color: var(--menu-font-colory)
}

.btn-block {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.btn {
  background-color: var(--btn-background-color);
  border: none;
  border-style: none;
  padding: 16px 32px;
  font-family: var(--open-sans);
  font-size: 16px;
  font-weight: 400;
  color: var(--main-font-color);
  cursor: pointer;
  margin-bottom: 40px;
}

.benefits-block {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
  padding: 0;
  margin: 0;
}
.benefits-img {
  width: 50%;
  height: 521px;
  display: flex;
  /* flex-direction: column; */
  background-image: url("../img/Image.png");
  background-repeat: no-repeat;
  background-size: cover;
}

.benefits-desc {
  width: 50%;
  padding-top: 71px;
  padding-left: 49px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  gap: 216px;
}
.benefits-desc-blocks-text {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  gap: 21px;
}

.benefits-desc h2 {
  font-family: var(--montserrat);
  font-size: 32px;
  font-weight: 400;
  color: var(--main-font-color);
}

.benefits-desc p {
  color: var(--main-font-color);
  font-family: var(--open-sans);
  font-size: 16px;
  font-weight: 400;
}
.sign-up-btn {
  background-color: var(--main-font-color);
  color: var(--btn-background-color);
  padding: 16px 32px;
  font-family: var(--open-sans);
  font-size: 16px;
  font-weight: 400;
  text-decoration: none;
}

footer {
  background-color: var(--main-font-color);
  width: 100%;
}
.footer-container {
  padding: 0 80px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}
.footer-top {
  display: flex;
  flex-direction: row;
  border-bottom: 1px solid #4e4d93;
}
.footer-bottom {
  display: flex;
  flex-direction: row;
  padding: 24px 80px;
  justify-content: space-between;
  align-items: center;
}
.footer-top-lists {
  width: 50%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 58px 80px;
}
.footer-top-map {
  width: 50%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 58px 80px 58px 0;
}
.footer-top-menu p {
  color: var(--btn-background-color);
  font-family: var(--montserrat);
  font-size: 16px;
  font-weight: 400;
}
.footer-top-menu ul {
  display: flex;
  flex-direction: column;
  gap: 12px;
  margin-top: 12px;
}
.footer-top-menu ul li {
  list-style: none;
}
.footer-top-menu ul li a {
  color: var(--btn-background-color);
  font-family: var(--open-sans);
  font-size: 14px;
  font-weight: 400;
  text-decoration: none;
}
.footer-copy {
  font-family: var(--open-sans);
  font-size: 14px;
  font-weight: 400;
  color: var(--btn-background-color);
}
.footer-icons {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  gap: 24px;
}
.footer-icons svg {
  cursor: pointer;
}
.footer-svg{
    fill: var(--btn-background-color)
}

